KVM kernel interface is not loaded

Bug #104297 reported by pwegs on 2007-04-07
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kvm (Ubuntu)
Wishlist
Unassigned

Bug Description

gkvm (http://gkvm.sf.net/) as a .deb from (http://www.darrenalbers.com/gkvm/) exit with: "KVM kernel interface is not loaded"after that "Virual machine will run slower, continue anyway ?" -> "KVM is not installed !". lsmod did not list kvm. It looks like it does not work cause it is not there? anyway thanks!

Related branches

Revision history for this message
Lean Fuglsang (lean-ubuntu-cd) wrote :

I can confirm this. kvm is not automatically loaded, when ubuntu boots.

Revision history for this message
alteeno (alteeno-sina) wrote :

I have the same problem. When I run kvm, it report "open /dev/kvm: No such file or directory
Could not initialize KVM, will disable KVM support"

Revision history for this message
Darren Albers (dalbers) wrote :

You need to do:
sudo modprobe kvm_intel (or kvm_amd if using an AMD processor)

This should probably be done as part of the package install...

Revision history for this message
Reinhard Tartler (siretart) wrote :

confirming this bug, kernel module doesn't get loaded on boot.

Changed in kvm:
status: New → Triaged
Revision history for this message
Peter Funk (pf-artcom-gmbh) wrote :

I had a similar problem. But when trying to
  sudo modprobe kvm_intel
I got this error message:
  FATAL: Error inserting kvm_intel (/lib/modules/2.6.20-16-generic/kernel/drivers/kvm/kvm-intel.ko): Operation not supported
I investigated /var/log/syslog and saw this message here:
  kernel: [ 899.340000] kvm: disabled by bios
I will now shutdown and have a look at the options of the BIOS setup.

Revision history for this message
Peter Funk (pf-artcom-gmbh) wrote :

This might help some people: The BIOS setup of HP compaq nw9940 laptop contains a rather
hidden setting called "virtualization technology", which is "deactivated" by default. On my machine
it found in "system configuration" -> "device configuration" as the last menu entry. When trying
to activate it, the BIOS issues a big fat warning in red letters on white background, that this
feature is not recommended by HP and so on. I've activated the feature and rebooted and
still got the same message. So I had to power down and restart, to get it really activated!

I've upgraded my BIOS recently to version F.1A, which was released by HP april this year,
so I assume this situation might effect lot of rather recent machines.

Nevertheless the kvm_intel module is still not loaded automatically during boot. I had
to issue the sudo modprobe kvm_intel to load it. The kvm package introduces a new
group kvm, which the default user is not automatically member of. The device
/dev/kvm belongs to this new group kvm. So the user account trying to run kvm
has probably be a member of the group kvm. I will try this next.

Revision history for this message
Chris Halse Rogers (raof) wrote :

It might be good to have the kvm package auto-load the appropriate kernel module. Confirming, and marking as wishlist.

In the mean time, you can either manually modprobe the appopriate module (kvm-intel or kvm-amd), or add this module to /etc/modules to have it auto-load on boot.

Changed in kvm:
importance: Undecided → Wishlist
status: Triaged → Confirmed
Revision history for this message
Anton (feenstra) wrote :

I get the
FATAL: Error inserting kvm_intel (/lib/modules/2.6.20-16-generic/kernel/drivers/kvm/kvm-intel.ko): Operation not supported
message, but no mention of kvm in the dmesg logs.
lsmod *does* list kvm, but not kvm-intel (don't know if I should expect that?).
Any ideas? (I haven't yet searched my bios settings yet.)
I'm running gutsy on a Fujitsu-Siemens LIFEBOOK S 7-something.

Revision history for this message
Soren Hansen (soren) wrote : Re: [Bug 104297] Re: KVM kernel interface is not loaded

On Tue, Jan 08, 2008 at 11:18:08AM -0000, Anton wrote:
> I get the
> FATAL: Error inserting kvm_intel (/lib/modules/2.6.20-16-generic/kernel/drivers/kvm/kvm-intel.ko): Operation not supported
> message, but no mention of kvm in the dmesg logs.
> lsmod *does* list kvm, but not kvm-intel (don't know if I should expect that?).
> Any ideas? (I haven't yet searched my bios settings yet.)
> I'm running gutsy on a Fujitsu-Siemens LIFEBOOK S 7-something.

Are you sure your system supports kvm at all? What does the following
command give?

   egrep '^flags.*(vmx|svm)' /proc/cpuinfo

--
Soren Hansen
Ubuntu Server Team
http://www.ubuntu.com/

Revision history for this message
Soren Hansen (soren) wrote :

The next upload of kvm will include an init script that loads the
appropriate modules, by the way.

--
Soren Hansen
Ubuntu Server Team
http://www.ubuntu.com/

Revision history for this message
Anton (feenstra) wrote :

Soren Hansen wrote:
> On Tue, Jan 08, 2008 at 11:18:08AM -0000, Anton wrote:
>> I get the
>> FATAL: Error inserting kvm_intel (/lib/modules/2.6.20-16-generic/kernel/drivers/kvm/kvm-intel.ko): Operation not supported
>> message, but no mention of kvm in the dmesg logs.
>> lsmod *does* list kvm, but not kvm-intel (don't know if I should expect that?).
>> Any ideas? (I haven't yet searched my bios settings yet.)
>> I'm running gutsy on a Fujitsu-Siemens LIFEBOOK S 7-something.
>
> Are you sure your system supports kvm at all? What does the following
> command give?
>
> egrep '^flags.*(vmx|svm)' /proc/cpuinfo

Yes, did that already:

flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov pat clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx
constant_tsc pni monitor vmx est tm2 xtpr
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov pat clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx
constant_tsc pni monitor vmx est tm2 xtpr

for my dual core intel.

--
Groetjes,

Anton
  _____________ _______________________________________________________
| | |
| _ _ ___,| K. Anton Feenstra |
| / \ / \'| | | IBIVU/Bioinformatics - Free University Amsterdam |
|( | )| | | De Boelelaan 1083A - 1081 HV Amsterdam - Netherlands |
| \_/ \_/ | | | Tel +31 20 59 87783 - Fax +31 20 59 87653 - Room P136 |
| | <email address hidden> - www.few.vu.nl/~feenstra/ |
| | "Why Do *You* Use Constraints ?" (H.J.C. Berendsen) |
|_____________|_______________________________________________________|

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kvm - 1:59+dfsg-0ubuntu3

---------------
kvm (1:59+dfsg-0ubuntu3) hardy; urgency=low

  * Add init script to load kvm modules. (LP: #104297)
  * Install linux_boot.bin to enable -kernel option. (LP: #111884)

 -- Soren Hansen <email address hidden> Tue, 08 Jan 2008 16:26:05 +0100

Changed in kvm:
status: Confirmed → Fix Released
Revision history for this message
Heimen Stoffels (vistaus) wrote :

Nope, the bug is still here. KVM is not loaded on boot.

Using a Sony Vaio VGN-NW21MF laptop with Kubuntu 9.10 32-bit.

Changed in kvm (Ubuntu):
status: Fix Released → Confirmed
Revision history for this message
Heimen Stoffels (vistaus) wrote :

Oh, I forgot to mention: my laptop does support KVM.

Revision history for this message
Mathias Gug (mathiaz) wrote :

Thank you for taking the time to report this issue and helping to make Ubuntu better. We appreciate the difficulties you are facing, but it would make more sense to open a new bug. Marking this bug as fix released.

I'd also suggest to make sure that virtual extensions are enabled in the BIOS.

Changed in kvm (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Tomas (tomas-it-gmail) wrote :

having same issue on thinkpad t61s:
tomas@tomas-laptop:~$ sudo modprobe kvm-intel
FATAL: Error inserting kvm_intel (/lib/modules/2.6.31-16-generic/kernel/arch/x86/kvm/kvm-intel.ko): Operation not supported
tomas@tomas-laptop:~$ grep kvm /boot/config-2.6.31-16-generic
tomas@tomas-laptop:~$ grep vmx /proc/cpuinfo
flags : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni dtes64 monitor ds_cpl ~*vmx*~ est tm2 ssse3 cx16 xtpr pdcm lahf_lm ida tpr_shadow vnmi flexpriority
flags : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni dtes64 monitor ds_cpl ~*vmx*~ est tm2 ssse3 cx16 xtpr pdcm lahf_lm ida tpr_shadow vnmi flexpriority
tomas@tomas-laptop:~$

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers